Skip to main content
All AI tools are free on every plan.

Available Tools

SlugDescription
upscale-esrgan2x / 4x image upscaling
face-swapSwap faces between two images
remove-bgRemove background from image
style-transferApply artistic style to image
colorizeColorize black-and-white photos
ocrExtract text from images
inpaintEdit selected region of an image

Via /generate endpoint

curl -X POST https://neuralbox.top/api/v2/generate \
  -H "Authorization: Bearer nb_YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "remove-bg",
    "prompt": "remove background",
    "params": {
      "image_url": "https://example.com/photo.jpg"
    }
  }'

Via /tools endpoint (multipart)

curl -X POST https://neuralbox.top/api/v2/tools \
  -H "Authorization: Bearer nb_YOUR_API_KEY" \
  -F "model=face-swap" \
  -F "source_image=@face.jpg" \
  -F "target_image=@target.jpg"
Poll status: GET /api/v2/tools/{generation_id}

Response

{
  "id": 18520,
  "status": "completed",
  "model_slug": "remove-bg",
  "result_url": "https://storage.neuralbox.top/generations/18520.png",
  "tokens_spent": 0,
  "processing_ms": 2140
}